% 
% Read formatted data grid.plt and use gplot for drawing connected grid
% 
file_input = fopen('grid.plt','r');

Np = fscanf(file_input,'%f',1)
Ne = fscanf(file_input,'%d',1)

AA = fscanf(file_input,'%d %f %f %d', [4,Np]);
xy = AA(2:3,:)';
AA = fscanf(file_input,'%d', [4,Ne]);
AA = AA';

A =zeros(Np,Np);
for k=1:Ne
  i = AA(k,2);
  j = AA(k,3);
  m = AA(k,4);
  A(i,j) = 1 ;
  A(j,m) = 1 ;
  A(m,i) = 1 ;
end

gplot(A,xy)
