%Def: Machine epsilon ---
%     Smallest positive number which when added to 1
%     gives answer not equal to 1

%function to calculate machine epsilon
function [epsilon, huge, tiny]=machine

neweps=1;                % trial machine epsilon
oneplus=1+neweps;        % 1 + trial
while oneplus>1          % is it bigger than 1?
 epsilon=neweps;         % update trial
 neweps=neweps/2;        % 1 + trial
 oneplus=1+neweps;
end
% epsilon

newhuge=1-epsilon;      % trial huge
while newhuge<inf       % overflow yet?
 huge=newhuge;          % update huge
 newhuge=newhuge*2;     % update trial
end

newtiny=1;               % trial tiny
while newtiny >0         % underflow yet
 tiny=newtiny;   % update tiny
 newtiny = newtiny/2;    % update trial
end

