% looptest.m
% Fill b with square root of 1 to 1000 using a for loop
clear;
tic;      % starts timing
for i = 1: 1000
    b(i)=sqrt(i);
end
t=toc;    % elapsed time since the last tic;
disp(['Time taken for loop method is ',numstr(t)]);

% Fill b with square roots of 1 to 1000 using a vector
clear;
tic;    % starts timing
a = 1:1000;
b = sqrt(a);
t = toc;
disp(['Time taken for vector method is ',num2str(t)]);
