%
% Demo for functions in image processing toolbox
%
I=imread('rice.png');
%J=imread('demo.jpg');
%I=rgb2gray(J);
imshow(I)
background = imopen(I,strel('disk',15));
figure, surf(double(background(1:8:end,1:8:end))),zlim([0 255]);
set(gca,'ydir','reverse');
I2 = I - background;
imshow(I2)
I3 = imadjust(I2);
imshow(I3);
level = graythresh(I3);
bw = im2bw(I3,level);
bw = bwareaopen(bw, 50);
imshow(bw);
cc = bwconncomp(bw, 4);
grain = false(size(bw));
grain(cc.PixelIdxList{8}) = true;
figure;imshow(grain)
