% systems of first order differential equation 
% representing a second order differential equation : y''+y'+y+t = 0
% assume yp(1)=y', yp(2)=y''
function yp = yprime(t,y)
yp(1) = y(2);
yp(2) = -y(2) - y(1) -t;
yp = yp';